getStockSnapshot
Use the SDK for application integration. This read-only reference covers Commerce, Customer Auth, Membership and Events.
All HTTP operationsGET
Live availability hint, not a reservation or checkout admission.
publishableKeyheader
X-Publishable-Key<token>Tenant publishable key for authentication (sent via X-Publishable-Key header)
variantIds*stringCSV, trimmed/filter-empty, 1–100 resulting IDs.
Length
1 <= lengthLive stock hints
application/json- response
snapshots*array<>Examples may be generated from schemas; they are illustrative, not recorded successful API calls. Example snippets may omit required authentication headers.
curl -X GET 'https://api.01.software/api/products/stock?variantIds=string'Example Response
{ "snapshots": [ { "variantId": "string", "status": "available", "availableStock": 0, "isUnlimited": true, "availableForSale": true, "inventoryPolicy": "deny" } ]}